#!/bin/bash

kernelversion=`uname -r`

usbipcore=/lib/modules/$kernelversion/kernel/drivers/usb/usbip/usbip-core.ko
if [ -f "$usbipcore" ]; then
  insmod $usbipcore
else
  insmod /opt/apps/cn.realor.gwtclient/files/bin/usbip-core.ko
  insmod -f /opt/apps/cn.realor.gwtclient/files/bin/usbip-core.ko
fi

usbiphost=/lib/modules/$kernelversion/kernel/drivers/usb/usbip/usbip-host.ko
if [ -f "$usbiphost" ]; then
  insmod $usbiphost
else
  insmod /opt/apps/cn.realor.gwtclient/files/bin/usbip-host.ko
  insmod -f /opt/apps/cn.realor.gwtclient/files/bin/usbip-host.ko
fi

/opt/apps/cn.realor.gwtclient/files/bin/usbipd -D
